

export const enum LANGUAGE_ID  {
                      ENGLISH = 0,
                      CHINESE,
                      GERMAN,
                      FRENCH,
                      PORTUGUESE,
                      SPANISH,
                      RUSSIAN,
                      JAPANESE,   
                      ITALIAN,
                      CZECH, 
}

export interface DataDictionary_t {
  id                : number;
  language_text     : string;    
  SOF               : string;       
}

export const language_Dictionary: DataDictionary_t [] = [
  {
    id: LANGUAGE_ID.ENGLISH,
    language_text: "English",
    SOF: "g_EnglishTextTable[]"
  },
  {
    id: LANGUAGE_ID.CHINESE,
    language_text: "Chinese",
    SOF: "g_ChineseTextTable[]"
  },
  {
    id: LANGUAGE_ID.GERMAN,
    language_text: "German",
    SOF: "g_Language_DE_TextTable[]"
  },
  {
    id: LANGUAGE_ID.FRENCH,
    language_text: "French",
    SOF: "g_Language_FR_TextTable[]"
  },
  {
    id: LANGUAGE_ID.PORTUGUESE,
    language_text: "Portuguese",
    SOF: "g_Language_PT_TextTable[]"
  },
  {
    id: LANGUAGE_ID.SPANISH,
    language_text: "Spanish",
    SOF: "g_Language_ES_TextTable[]"
  },
  {
    id: LANGUAGE_ID.RUSSIAN,
    language_text: "Russian",
    SOF: "g_Language_RU_TextTable[]"
  },
  {
    id: LANGUAGE_ID.JAPANESE,
    language_text: "Japanese",
    SOF: "g_Language_JA_TextTable[]"
  },
  {
    id: LANGUAGE_ID.ITALIAN,
    language_text: "Italian",
    SOF: "g_Language_IT_TextTable[]"
  },
  {
    id: LANGUAGE_ID.CZECH,
    language_text: "Czech",
    SOF: "g_Language_CS_TextTable"
  }
 
]

export const LanguageConstants = {
    ALL_EOF         : "};",
    INDEX_NOT_FOUND : -1,
    NEWLINE         : "\n",
    FIRST_ELEMENT   : 'NULL',

    JSON_KEYS : [
                "TextID_NULL",
                "TextID_EMPTY_",
                "TextID_Unknown",
                "TextID_Yes",
                "TextID_No",
                "TextID_OK",
                "TextID_Cance",
                "TextID_Enable",
                "TextID_Disable",
                "TextID_ON",
                "TextID_OFF",
                "TextID_Auto",
                "TextID_None",
                "TextID_Master",
                "TextID_Slave",
                "TextID_Seconds",
                "TextID_Minutes",
                "TextID_Hours",
                "TextID_Days",
                "TextID__sec",
                "TextID__min",
                "TextID__hour",
                "TextID__day",
                "TextID_0",
                "TextID_1",
                "TextID_2",
                "TextID_3",
                "TextID_4",
                "TextID_5",
                "TextID_6",
                "TextID_7",
                "TextID_8",
                "TextID_9",
                "TextID_10",
                "TextID_11",
                "TextID_12",
                "TextID_13",
                "TextID_14",
                "TextID_15",
                "TextID_16",
                "TextID_17",
                "TextID_18",
                "TextID_19",
                "TextID_20",
                "TextID_21",
                "TextID_22",
                "TextID_23",
                "TextID_24",
                "TextID_25",
                "TextID_26",
                "TextID_27",
                "TextID_28",
                "TextID_29",
                "TextID_30",
                "TextID_31",
                "TextID_32",
                "TextID_33",
                "TextID_34",
                "TextID_35",
                "TextID_36",
                "TextID_37",
                "TextID_38",
                "TextID_39",
                "TextID_40",
                "TextID_41",
                "TextID_42",
                "TextID_43",
                "TextID_44",
                "TextID_45",
                "TextID_46",
                "TextID_47",
                "TextID_48",
                "TextID_49",
                "TextID_50",
                "TextID_51",
                "TextID_52",
                "TextID_53",
                "TextID_54",
                "TextID_55",
                "TextID_56",
                "TextID_57",
                "TextID_58",
                "TextID_59",
                "TextID_60",
                "TextID_61",
                "TextID_62",
                "TextID_63",
                "TextID_64",
                "TextID_65",
                "TextID_66",
                "TextID_67",
                "TextID_68",
                "TextID_69",
                "TextID_70",
                "TextID_71",
                "TextID_72",
                "TextID_73",
                "TextID_74",
                "TextID_75",
                "TextID__5s",
                "TextID_Connection_status",
                "TextID_Device_name",
                "TextID_Device_address",
                "TextID_Pairing_password",
                "TextID_Connected",
                "TextID_Disconnected",
                "TextID_IPv4_address",
                "TextID_Subnet_mask",
                "TextID_Gateway_address",
                "TextID_IPv6_address_Static",
                "TextID_IPv6_address_Auto",
                "TextID_IPv6_address_Link",
                "TextID_MAC_address",
                "TextID_Product_type",
                "TextID_Monitor_Boot_FW_version",
                "TextID_Monitor_FW_version",
                "TextID_Inverter_FW_version",
                "TextID_Rectifier_FW_version",
                "TextID_DSP_FW_version",
                "TextID_Serial_number",
                "TextID_Time_since_startup",
                "TextID_Service_expiration_date",
                "TextID_Emerson_service_hotline",
                "TextID_Product",
                "TextID_Network",
                "TextID_Bluetooth",
                "TextID_Efficiency",
                "TextID_Turn_ON_OFF_to_BYPASS",
                "TextID_Mute_Unmute_audible_alarm",
                "TextID_Battery_test",
                "TextID_Clear_faults",
                "TextID_Clear_faults_",
                "TextID_Restore_factory_defaults",
                "TextID_Power_on_time",
                "TextID_Power_off_time",
                "TextID_Current",
                "TextID_History",
                "TextID_Status",
                "TextID_Settings",
                "TextID_Control",
                "TextID_Log",
                "TextID_About",
                "TextID_Service",
                "TextID_Maintenance",
                "TextID_Notify",
                "TextID_System_test_finished",
                "TextID_everything_is_OK",
                "TextID_Battery_test_abort",
                "TextID_Condition_is_not_met",
                "TextID_Batt_refresh_chg_abort",
                "TextID_This_item_can_only_be_set",
                "TextID_in_standby_mode",
                "TextID_On_manual_bypass",
                "TextID_cant_turn_off_the_load",
                "TextID_Startup_voltage_abnormal",
                "TextID_check_input_voltage",
                "TextID_Output_is_forbidden",
                "TextID_Code_error",
                "TextID_please_input_again",
                "TextID_Sys_settings_inconsistent",
                "TextID_please_check",
                "TextID_Cannot_set_this_online",
                "TextID_please_shutdown_output",
                "TextID_Please_unplug_REPO",
                "TextID_Check_cable_connection",
                "TextID_Turn_off_UPS_totally",
                "TextID_Confirm",
                "TextID_Turn_on_UPS_",
                "TextID_Turn_on_UPS",
                "TextID_Turn_off_inverter_",
                "TextID_Turn_off_inverter",
                "TextID_Turn_off_UPS_",
                "TextID_Turn_off_UPS",
                "TextID_Turn_to_bypass",
                "TextID_Turn_to_bypass_",
                "TextID_Battery_will_be_depleted",
                "TextID_Stop_test",
                "TextID_Check_output_settings",
                "TextID_Check_now",
                "TextID_New_alarm_present",
                "TextID_Show_log",
                "TextID_Reset_to_factory",
                "TextID_Start_battery_test_",
                "TextID_Start_battery_test",
                "TextID_Stop_battery_test_",
                "TextID_Stop_battery_test",
                "TextID_Start_Stop_battery_manual_test",
                "TextID_Start_Stop_battery_maintaining_test",
                "TextID_Manual_test",
                "TextID_Maintaining_test",
                "TextID_Start_manual_test_",
                "TextID_Start_maintaining_test_",
                "TextID_Start_equalize_charge",
                "TextID_Start_equalize_charge_",
                "TextID_Stop_equalize_charge",
                "TextID_Stop_equalize_charge_",
                "TextID_Equalize_charge",
                "TextID_Equalize_charge_abort",
                "TextID_Are_you_sure_to_change",
                "TextID_the_input_dry_function_",
                "TextID_Option",
                "TextID_Show_test_result",
                "TextID_Sync_paral_params",
                "TextID_UnSync_paral_params",
                "TextID_Clear_log",
                "TextID_Battery_type",
                "TextID_Lead_acid",
                "TextID_Lithium_iron",
                "TextID_Nickel_cad",
                "TextID_External_battery_cabinet_group_No_",
                "TextID_AutoTest",
                "TextID_Battery_test_interval",
                "TextID_8_weeks",
                "TextID_12_weeks",
                "TextID_16_weeks",
                "TextID_20_weeks",
                "TextID_26_weeks",
                "TextID_Battery_test_weekday",
                "TextID_Monday",
                "TextID_Tuesday",
                "TextID_Wednesday",
                "TextID_Thursday",
                "TextID_Friday",
                "TextID_Saturday",
                "TextID_Sunday",
                "TextID_Battery_series",
                "TextID_Equal_charge_enable",
                "TextID_Temp_compensation",
                "TextID_Eql_chg_time_at_const_volt",
                "TextID__AH",
                "TextID__A",
                "TextID__V_cell",
                "TextID_0_hour",
                "TextID_1_hour",
                "TextID_2_hours",
                "TextID_3_hours",
                "TextID_4_hours",
                "TextID_5_hours",
                "TextID_6_hours",
                "TextID_Local_battery_total_AH",
                "TextID_Parallel_battery_total_AH",
                "TextID_Low_battery_time",
                "TextID_Dischg_protect_time",
                "TextID_Equal_chg_protect_time",
                "TextID_Equal_chg_volt",
                "TextID_Float_chg_volt",
                "TextID_End_of_dischg_volt",
                "TextID_Max_chg_curr",
                "TextID_Eql_to_flt_chg_curr",
                "TextID_Flt_to_eql_chg_curr",
                "TextID_Battery_replaced_time",
                "TextID_Battery_test_time",
                "TextID_Bluetooth_reset",
                "TextID_Language",
                "TextID_English",
                "TextID_Chinese",
                "TextID_Display_orientation",
                "TextID_Auto_rotate",
                "TextID_Horizontal",
                "TextID_Vertical",
                "TextID_Audible_alarm",
                "TextID_Serial_baudrate",
                "TextID_DB9_protoco",
                "TextID_Card_slot_protoco",
                "TextID_Control_port_protoco",
                "TextID_Modbus",
                "TextID_Sensor",
                "TextID_Modbus_address",
                "TextID_Bluetooth_ON_OFF",
                "TextID_Display_contrast",
                "TextID_Bluetooth_pairing_password",
                "TextID_Command_password",
                "TextID_Date",
                "TextID_Time",
                "TextID_Sync_parallel_parameters",
                "TextID_Voltage_selection",
                "TextID_Output_phase_No_",
                "TextID_Startup_on_bypass",
                "TextID_Frequency_selection",
                "TextID_Inverter_sync_range",
                "TextID_Bypass_disable",
                "TextID_Bypass_voltage_upper_limit",
                "TextID_Bypass_voltage_lower_limit",
                "TextID_Bypass_frequency_range",
                "TextID_Run_mode",
                "TextID_Normal",
                "TextID_ECO_mode",
                "TextID_VI_mode",
                "TextID_ECO_voltage_range",
                "TextID_ECO_frequency_range",
                "TextID_ECO_requalification_time",
                "TextID_Transfer_time",
                "TextID_lt_20ms",
                "TextID_40ms",
                "TextID_60ms",
                "TextID_80ms",
                "TextID_100ms",
                "TextID_120ms",
                "TextID_200ms",
                "TextID_0_min",
                "TextID_1_min",
                "TextID_2_min",
                "TextID_3_min",
                "TextID_4_min",
                "TextID_5_min",
                "TextID_6_min",
                "TextID_7_min",
                "TextID_8_min",
                "TextID_9_min",
                "TextID_10_min",
                "TextID_11_min",
                "TextID_12_min",
                "TextID_13_min",
                "TextID_14_min",
                "TextID_15_min",
                "TextID_16_min",
                "TextID_17_min",
                "TextID_18_min",
                "TextID_19_min",
                "TextID_20_min",
                "TextID_21_min",
                "TextID_22_min",
                "TextID_23_min",
                "TextID_24_min",
                "TextID_25_min",
                "TextID_26_min",
                "TextID_27_min",
                "TextID_28_min",
                "TextID_29_min",
                "TextID_30_min",
                "TextID_AutoDetect",
                "TextID_100V",
                "TextID_110V",
                "TextID_115V",
                "TextID_120V",
                "TextID_125V",
                "TextID_200V",
                "TextID_208V",
                "TextID_220V",
                "TextID_230V",
                "TextID_240V",
                "TextID_100_173",
                "TextID_100_173rvs",
                "TextID_100_200",
                "TextID_110_190_5",
                "TextID_110_190_5rvs",
                "TextID_110_220",
                "TextID_115_199",
                "TextID_115_199rvs",
                "TextID_115_230",
                "TextID_120_208",
                "TextID_120_208rvs",
                "TextID_120_240",
                "TextID_125_216_5",
                "TextID_125_216_5rvs",
                "TextID_125_250",
                "TextID_50Hz",
                "TextID_60Hz",
                "TextID_Auto_BypassEnable",
                "TextID_Auto_BypassDisable",
                "TextID_50Hz_BypassDisable",
                "TextID_60Hz_BypassDisable",
                "TextID_PN0p5Hz",
                "TextID_PN1p0Hz",
                "TextID_PN2p0Hz",
                "TextID_PN3p0Hz",
                "TextID_PN4p0Hz",
                "TextID_PN5p0Hz",
                "TextID_P10percent",
                "TextID_P15percent",
                "TextID_P20percent",
                "TextID_N10percent",
                "TextID_N20percent",
                "TextID_N30percent",
                "TextID_N40percent",
                "TextID_P5percent",
                "TextID_N5percent",
                "TextID_PN5percent",
                "TextID_PN10percent",
                "TextID_PN15percent",
                "TextID_N15percent",
                "TextID_PN1Hz",
                "TextID_PN2Hz",
                "TextID_PN3Hz",
                "TextID_PN4Hz",
                "TextID_PN5Hz",
                "TextID_PN10Hz",
                "TextID_Para_redun_num",
                "TextID_Guaranteed_shutdown",
                "TextID_Battery_low_alarm",
                "TextID_Auto_restart",
                "TextID_Remote_comms_poweron",
                "TextID_Remote_comms_shutdown",
                "TextID_Redundant_num",
                "TextID_LBS_select",
                "TextID_IT_system_compatibility",
                "TextID_Dry_contact_Output_NO_NC",
                "TextID_NO",
                "TextID_NC",
                "TextID_Dry_contact_Input_NO_NC",
                "TextID_Dry_contact_1_Output",
                "TextID_Low_battery",
                "TextID_On_bypass",
                "TextID_Battery_mode_shutdown",
                "TextID_Any_mode_shutdown",
                "TextID_On_battery",
                "TextID_UPS_fault",
                "TextID_Dry_contact_2_Output",
                "TextID_Dry_contact_1_Input",
                "TextID_Maintain_mode",
                "TextID_External_Transformer",
                "TextID_Dry_contact_2_Input",
                "TextID_Auto_restart_delay",
                "TextID_Remote_shutdown_delay",
                "TextID_Remote_power_on_delay",
                "TextID_Remote_control",
                "TextID_Dry_contact_shutdown",
                "TextID_System",
                "TextID_Output",
                "TextID_Battery",
                "TextID_Outlet",
                "TextID_Outlet1",
                "TextID_Outlet2",
                "TextID_Outlet3",
                "TextID_Outlet4",
                "TextID_Monitor",
                "TextID_Parallel",
                "TextID_1200_bps",
                "TextID_2400_bps",
                "TextID_4800_bps",
                "TextID_9600_bps",
                "TextID_19200_bps",
                "TextID_YDN23",
                "TextID_MODBUS",
                "TextID_Velocity",
                "TextID_Battery_status",
                "TextID_NoBattery",
                "TextID_FloatChg",
                "TextID_EqualChg",
                "TextID_Charge",
                "TextID_Discharge",
                "TextID_Full",
                "TextID_Idle",
                "TextID_SelfTest",
                "TextID_Battery_voltage_V",
                "TextID_Battery_current_A",
                "TextID_Backup_time_Minutes",
                "TextID_Remaining_capacity",
                "TextID_Battery_temp",
                "TextID_Battery_humidity",
                "TextID_Discharge_count",
                "TextID_Discharge_time_M",
                "TextID_Discharge_time_H",
                "TextID_L_N_voltage_V",
                "TextID_L_N_current_A",
                "TextID_Frequency_Hz",
                "TextID_L_L_voltage_V",
                "TextID_Sout_kVA",
                "TextID_Pout_kW",
                "TextID_CAP",
                "TextID_Load_percent",
                "TextID_Power_factor",
                "TextID_Crest_factor",
                "TextID_Energy_kWh",
                "TextID_Energy_MWh",
                "TextID_Redundant",
                "TextID_System_parallel_No_",
                "TextID_No_UPS_installed",
                "TextID_Parallel_ID",
                "TextID_Mains",
                "TextID_Bypass",
                "TextID_Load",
                "TextID_Prev",
                "TextID_Next",
                "TextID_System_Language",
                "TextID_System_Date",
                "TextID_System_Time",
                "TextID_Output_voltage",
                "TextID_Output_frequency",
                "TextID_Finish",
                "TextID_Start_up_guidance",
                "TextID_Configuration_finished_",
                "TextID_Please_disconnect_power",
                "TextID_Confirm_actual_connection_is",
                "TextID_Check_output__1_phase",
                "TextID_Check_output__3_phases",
                "TextID_Press_ENTER_to_start",
                "TextID_Thanks_for_using_Emerson_UPS_",
                "TextID_Press_Enter_to_start",
                "TextID_Turn_on_outlet",
                "TextID_Turn_off_outlet",
                "TextID_Reboot_outlet",
                "TextID_Turn_on_delay",
                "TextID_Turn_off_when_UPS_overload_on_battery",
                "TextID_Turn_off_when_UPS_on_battery_for",
                "TextID_Turn_on_when_power_returns_for",
                "TextID_On_battery_control",
                "TextID_Backup_time_control",
                "TextID_Capacity_control",
                "TextID__DISABLE_",
                "TextID__percent",
                "TextID_Turn_on_outlet_",
                "TextID_Turn_off_outlet_",
                "TextID_Reboot_outlet_",
                "TextID_Operation_failed_",
                "TextID_Apply_the_same_settings_as_Outlet1",
                "TextID_PassWord",
                "TextID_Identify_code",
                "TextID_Incorrect_password_",
                "TextID_Input",
                "TextID_Password_for_settings",
                "TextID_Password_for_service",
                "TextID_Password_for_maintenance",
                "TextID_Shared_battery",
                "TextID_Password_changed_OK_",
                "TextID_Fail_to_change_password_",
                "TextID_Please_try_again",
                "TextID_Input_new_password",
                "TextID_Confirm_new_password",
                "TextID_Change_settings_password",
                "TextID_Reset_default_password_",
                "TextID_Updating_software_",
                "TextID_The_time_cannot_be",
                "TextID_earlier_than_system_time_",
                "TextID_Set_successfully",
                "TextID_Calibrate_system_time_",
                "TextID_The_UPS_is_out_of_service",
                "TextID_Service_hotline_",
                "TextID_Loading_log_",
                "TextID_Turn_on_failed_",
                "TextID_Powering_off_",
                "TextID_Replace_battery",
                "TextID_This_will_reset_battery",
                "TextID_params__Continue_",
                "TextID_Mode_type",
                "TextID_Sleep_mode",
                "TextID_Master_or_slave",
                "TextID_Parameter_changed_Take",
                "TextID_effect_next_powering_on",
                "TextID_Self_aging",
                "TextID_Manual_turn_on_failed",
                "TextID_Operation_succeeded",
                "TextID_DEUTSCH",
                "TextID_ITALIANO",
                "TextID_FRANCAIS",
                "TextID_CESTINA",
                "TextID_NEDERLANDS",
                "TextID_PORTUGUES",
                "TextID_SVENSKA",
                "TextID_TURKCE",
                "TextID_ESPANOL",
                "TextID_RUSSIA",
                "TextID_POLSKI",
                "TextID_JAPAN",
                "TextID_UPS_CommAddress",
                "TextID_Reset_MCU_Config",
                "TextID_MainAntiIrrigation",
                "TextID_BpssAntiIrrigation",
                "TextID_Cycle_Time",
                "TextID_Power_On_Weekday",
                "TextID_Power_Off_Weekday",
                "TextID_Start_With_No_Battery",
                "TextID_Plug_Mode",
                "TextID_Output_With_Transformer",
                "TextID_Excessive_Auto_Retransfers",
                "TextID__Times",
                "TextID_Control_Port",
                "TextID_Remote_Monitor",
                "TextID_Battery_test_enable",
                "TextID_battery_replace_note_time",
                "TextID__month",
                "TextID_Temp_compensation_factor",
                "TextID_Temp_compensation_center_point",
                "TextID_Battery_temperature_alarm_upper_limit",
                "TextID_Remote_auto_restart",
                "TextID_PleaseReplaceBattery",
                "TextID_BatteryAge",
                "TextID_Year",
                "TextID_100",
                "TextID_Age_Percentage",
                "TextID_Reset_Power_Statistics",
                "TextID_Reset_Power_Statistics_",
                "TextID_Replace_AirFilter",
                "TextID_Replace_AirFilter_",
                "TextID_PleaseReplaceAirFilter",
                "TextID_AirFilter_Replace_interval",
                "TextID_AirFilter_Replace_Time",
                "TextID_2_weeks",
                "TextID_4_weeks",
                "TextID_10_weeks",
                "TextID_52_weeks",
                "TextID_1000_weeks",
                "TextID_Vol_Autodetect_Result",
                "TextID_Autodetect_Fail",
                "TextID_Set_Vol_Again",
                "TextID_Vol_NotConfrim",
                "TextID_TurnOnFail_ConfrimNow",
                "TextID_Input_black_count",
                "TextID_Input_brown_count",
                "TextID_76",
                "TextID_80",
                "TextID_84",
                "TextID_86",
                "TextID_88",
                "TextID_90",
                "TextID_91",
                "TextID_92",
                "TextID_93",
                "TextID_94",
                "TextID_95",
                "TextID_96",
                "TextID_97",
                "TextID_98",
                "TextID_99",
                "TextID_time_conflict",
                "TextID_Battery_Runtime_day",
                "TextID_Battery_Avgtemp",
                "TextID_Battery_Hightemp",
                "TextID_Battery_Lowtemp",
                "TextID_Close_Switch",
                "TextID_Inverter_On",
                "TextID_Time_Year",
                "TextID_Efficiency_long",
                "TextID_Efficiency_short",
                "TextID_Capacity_long",
                "TextID_Capacity_short",
                "TextID_Capacity_percent",
                "TextID_Press_Enter_to_start_end",
                "TextID_Age_Percentage_Value",
                "TextID_Volt",
                "TextID_Curr",
                "TextID_WorkWith_GXT5TDU",
                "TextID_TrackMode",
                "TextID_NOT_TurnTo_Bypass",
                "TextID_TDU_OverTemp_Signal",
                "TextID_Load_long",
                "TextID_Number_of_battery",
                "TextID_Cabinets_is_now_zero",
                "TextID_Cabinets_is_now_one",
                "TextID_Cabinets_is_now_two",
                "TextID_Cabinets_is_now_three",
                "TextID_Cabinets_is_now_four",
                "TextID_Cabinets_is_now_five",
                "TextID_Cabinets_is_now_six",
                "TextID_WorkWith_OptionalPOD",
                "TextID_Shutdown_in_Progress",
                "TextID_Temperature_unit",
                "TextID_Fahrenheit",
                "TextID_Celsius",
                "TextID_Battery_temp_Fahrenheit",
                "TextID_Battery_Avgtemp_Fahrenheit",
                "TextID_Battery_Hightemp_Fahrenheit",
                "TextID_Battery_Lowtemp_Fahrenheit",
                "TextID_Open_Input_Bypass_Breaker",
                "TextID_To_Turn_Off_UPS_",
                "TextID_To_Turn_Off_UPS",
                "TextID_Open_Input_Breaker",
                "TextID_Remove_Input_Power",
                "TextID_Turn_off_Output_",
                "TextID_Turn_off_Output",
                "TextID_Battery_cold_protect",
                "TextID_Battery_aged_prewarn_time",    
                ]
};